MAC Filtering (Template)
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMacFilteringGeneralSettingTemplate | GET | Get MAC filtering template general setting |
| modifyMacFilteringGeneralSettingTemplate | PATCH | Modify MAC filtering template general setting |
| createMacFilteringTemplate | POST | Create MAC filtering template |
| deleteMacFilteringTemplate | DELETE | Delete MAC filtering template |
| modifyMacFilteringTemplate | PATCH | Modify MAC filtering template |
| getGridAllowMacFilteringTemplate | GET | Get allow MAC filtering template list |
| getGridDenyMacFilteringTemplate | GET | Get deny MAC filtering template list |
getMacFilteringGeneralSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filter
Get MAC filtering template general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getMacFilteringGeneralSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get MAC filtering template general setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyMacFilteringGeneralSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filter
Modify MAC filtering template general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema MacFilteringGeneralSetting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable of the MAC filtering general setting. |
filterMode | integer | no | Filter mode should be a value as follows: 0: allow; 1: deny. |
direction | Gateway direction entity | no | (Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity") |
// omada_call_operation
{
"operationId": "modifyMacFilteringGeneralSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify MAC filtering template general setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
createMacFilteringTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters
Create MAC filtering template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema MacFiltering
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the MAC filtering entity. |
name | string | yes | Name of the MAC filtering entity. |
filterMode | integer | yes | Filter mode should be a value as follows: 0: allow; 1: deny. |
type | integer | yes | Type should be a value as follows: 0: macAddresses; 1: macGroupIds. |
macAddresses | array<OsgMacFilterAddressOpenApiVO> | no | MAC addresses of the MAC filtering entity. |
macGroupIds | array<string> | no | MAC groups of the MAC filtering entity. MAC group can be created using 'Create a new group profile' interface, and MAC group ID can be obtained from 'Get group profile list' interface. |
// omada_call_operation
{
"operationId": "createMacFilteringTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteMacFilteringTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/{filterId}
Delete MAC filtering template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
filterId | path | string | yes | MAC filtering template ID |
// omada_call_operation
{
"operationId": "deleteMacFilteringTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"filterId": "<filterId>"
}
}Details, permissions and error codes
Delete MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyMacFilteringTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/{filterId}
Modify MAC filtering template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
filterId | path | string | yes | MAC filtering template ID |
Request body — application/json (required) — schema MacFiltering
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the MAC filtering entity. |
name | string | yes | Name of the MAC filtering entity. |
filterMode | integer | yes | Filter mode should be a value as follows: 0: allow; 1: deny. |
type | integer | yes | Type should be a value as follows: 0: macAddresses; 1: macGroupIds. |
macAddresses | array<OsgMacFilterAddressOpenApiVO> | no | MAC addresses of the MAC filtering entity. |
macGroupIds | array<string> | no | MAC groups of the MAC filtering entity. MAC group can be created using 'Create a new group profile' interface, and MAC group ID can be obtained from 'Get group profile list' interface. |
// omada_call_operation
{
"operationId": "modifyMacFilteringTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"filterId": "<filterId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridAllowMacFilteringTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/allow
Get allow MAC filtering template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridAllowMacFilteringTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get allow MAC filtering template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getGridDenyMacFilteringTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/deny
Get deny MAC filtering template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDenyMacFilteringTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get deny MAC filtering template list.
The interface requires one of the permissions:
Global Site Template Manager Modify